Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> OpenBiblio < 0.5.2 Multiple Local File Include Vulnerabilities


Vulnerability Assessment Details

OpenBiblio < 0.5.2 Multiple Local File Include Vulnerabilities

Vulnerability Assessment Summary
Tries to read a local file in OpenBiblio

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is affected by
multiple local file include issues.

Description :

The remote host is running OpenBiblio, a free, automated library
system written in PHP.

The version of OpenBiblio installed on the remote host fails to
sanitize user-supplied input to the 'tab' and 'page' parameters of the
'shared/header.php' and 'shared/help.php' scripts respectively before
using it to include PHP code. An unauthenticated remote attacker may
be able to exploit these issues to view arbitrary files or to execute
arbitrary PHP code on the remote host, subject to the rights of
the web server user id.

See also :

http://sourceforge.net/project/shownotes.php?release_id=451780

Solution :

Upgrade to OpenBiblio 0.5.2 or later.

Network Security Threat Level:

High / CVSS Base Score : 7.0
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 20301

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

VERY RARE GAME: Omar by Antic for Atari 400/800 - NEW (Rarity 9)
$39.99
VERY RARE GAME:  Omar by Antic for Atari 400/800 - NEW (Rarity 9) pictureHighly Rated (9/10) DIVEX by Avalon Hill for Atari 400/800 & Commodore 64
$29.99
Highly Rated (9/10) DIVEX by Avalon Hill for Atari 400/800 & Commodore 64 pictureRARE GFS Sorceress by Avalon Hill for Apple II, Atari 800, TRS-80 - NEW
$39.99
RARE GFS Sorceress by Avalon Hill for Apple II, Atari 800, TRS-80 - NEW picturePensate by Penguin Software for Atari 400/800 and Commodore 64 - NEW
$22.99
Pensate by Penguin Software for Atari 400/800 and Commodore 64 - NEW picture


Discussions

No Discussions have been posted on this vulnerability.